Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaBasicExampleClients

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients

- Direct Known Subclasses:
    `KafkaBridgeExampleClients`, `KafkaOauthExampleClients`, `KafkaTracingExampleClients`

      public class KafkaBasicExampleClients
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `KafkaBasicExampleClients.Builder` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `consumerStrimzi()` |
    `io.fabric8.kubernetes.api.model.batch.Job` | `createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.batch.Job job)` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `defaultConsumerStrimzi()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `defaultProducerStrimzi()` |
    `String` | `getAdditionalConfig()` |
    `String` | `getBootstrapAddress()` |
    `String` | `getConsumerGroup()` |
    `String` | `getConsumerName()` |
    `long` | `getDelayMs()` |
    `int` | `getMessageCount()` |
    `String` | `getProducerName()` |
    `String` | `getTopicName()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `producerStrimzi()` |
    `KafkaBasicExampleClients.Builder` | `toBuilder()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getProducerName

          public String getProducerName()

    - #### getConsumerName

          public String getConsumerName()

    - #### getBootstrapAddress

          public String getBootstrapAddress()

    - #### getTopicName

          public String getTopicName()

    - #### getMessageCount

          public int getMessageCount()

    - #### getAdditionalConfig

          public String getAdditionalConfig()

    - #### getConsumerGroup

          public String getConsumerGroup()

    - #### getDelayMs

          public long getDelayMs()

    - #### toBuilder

          public KafkaBasicExampleClients.Builder toBuilder()

    - #### producerStrimzi

          public io.fabric8.kubernetes.api.model.batch.JobBuilder producerStrimzi()

    - #### consumerStrimzi

          public io.fabric8.kubernetes.api.model.batch.JobBuilder consumerStrimzi()

    - #### defaultProducerStrimzi

          public io.fabric8.kubernetes.api.model.batch.JobBuilder defaultProducerStrimzi()

    - #### defaultConsumerStrimzi

          public io.fabric8.kubernetes.api.model.batch.JobBuilder defaultConsumerStrimzi()

    - #### createAndWaitForReadiness

          public io.fabric8.kubernetes.api.model.batch.Job createAndWaitForReadiness​(io.fabric8.kubernetes.api.model.batch.Job job)